Mailing List Archive

This patch resizes the file system on the xm-test HVM disk.img to use
# HG changeset patch
# User stekloff@elm3b216.beaverton.ibm.com
# Node ID 224e9878c6d45d36d8d215706406d4ba91b3d6bb
# Parent 33b2ae0246632237d6b8f1893b307f2f51b0315b
This patch resizes the file system on the xm-test HVM disk.img to use
the entire space available.

Signed-off-by: Daniel Stekloff <dsteklof@us.ibm.com>
---
tools/xm-test/ramdisk/bin/create_disk_image | 7 +++++++
1 files changed, 7 insertions(+)

diff -r 33b2ae024663 -r 224e9878c6d4 tools/xm-test/ramdisk/bin/create_disk_image
--- a/tools/xm-test/ramdisk/bin/create_disk_image Fri May 19 16:21:49 2006 +0100
+++ b/tools/xm-test/ramdisk/bin/create_disk_image Fri May 19 16:29:34 2006 +0100
@@ -207,6 +207,13 @@ function dd_rootfs_to_image()
dd if="$ROOTFS" of="$LOOPP" > /dev/null 2>&1
if [ $? -ne 0 ]; then
die "Failed to dd $ROOTFS to $LOOPP."
+ fi
+
+ # Resize fs to use full partition
+ e2fsck -f $LOOPP
+ resize2fs $LOOPP
+ if [ $? -ne 0 ]; then
+ die "Failed to resize rootfs on $LOOPP."
fi
}


_______________________________________________
Xen-changelog mailing list
Xen-changelog@lists.xensource.com
http://lists.xensource.com/xen-changelog